Subject: Re: No Subject

From: [email-masked] (Ninoles, Fabien: DGSE)
Date: Thu, 22 Aug 1996 11:27:40 -0400

<SNAP ON>

 ----------
From:  Charles A. Schuman[SMTP:[email-masked]]
Sent:  Wednesday, August 21, 1996 11:52 PM
To:  Ninoles, Fabien: DGSE
Cc:  Happy Linux Users
Subject:  No Subject

On Wed, 21 Aug 1996, Ninoles, Fabien: DGSE wrote:

> For myself (I have a look-alike partitions table), I prefer
> to boot with a floppy and rerun LILO on my MBR. You will
> set it by replacing your boot line by boot=/dev/sda who
> will write on your sda MBR, in place of /dev/sda2 who
> would write on your partition. After that, just run lilo
> when you're root. the Boot flag are only use in OS/2 or
> MS-OSs at my knowledge. It's better to only have one set
> because MS-DOS doesn't support multiple boot parts.

I replaced line "boot=/dev/sda2" with "boot=/dev/sda"
and now I've an endless loop that goes:

LILO Loading Linux.......

LILO Loading Linux.......

LILO Loading Linux.......

LILO Loading Linux.......

LILO Loading Linux.......

LILO Loading Linux.......

with the seven dots.  Pressing shift gives me the

LILO boot:

What should I try next to get the hard drive to boot
the kernel on the second partition?  I may have ruined
it by writing a boot record onto the second partition.
I really don't know what I've done.  I made sure to
check the second partition - it is set active/bootable.
I'd made a typo earlier and ommited the star (*).

Missing Linux,

Charles

<SNAP OFF>

Sorry about it :(

I never got this problem before... and I succeed
all the time with whatever partition on my HD
by putting LILO on my MBR (I already succeed to
make LILO run the OS/2 Boot Manager partition and
an NT BOOT partition which it doesn't supposed
to be.)

For myself, lilo always do a good job but I suggest
you to check two things : your kernel bootup
(with rdev... I use it when I'm on Slackware but
hope it was already in the Debian release...)
and trying to clean you're boot sector on sda2
with cfdisk but be careful with it! It's easy
to erase lot of stock with it.

I hope you can already load from a floppy
with root=/dev/sda2. And keep looking on this
mail list... I'm not an expert in lilo and
boot sector, I was just doing lot of weird
installations as "hobby" :)

Don't give up! You will more luv your Linux
when you'll go through this!

GoodLuck!
Fab.